<?php

//Incluimos la Libreria

include("Librerias/ConfNivel1.inc");
include("Librerias/Password.phtml");
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$ObjSesion=new Sesiones();

//CONVERSIÓN DEL PASSWORD
$_POST["Password"]=FConviertePassword($_POST["Password"]);
//echo "->".$_POST["Password"]."<-";
//DATOS DE ACCESOS
$Fecha=date("Y-m-d");
$Ip=$HTTP_X_FORWARDED_FOR;
if ($Ip=='')  $Ip=$REMOTE_ADDR;
$Horale=date("H:i");

$ConsultaUsuario="SELECT * FROM usuarios WHERE Usuario='".$_POST['UsuarioEntrada']."' AND Password ='".$_POST["Password"]."'";

$RowUsuario=$Conexion->MSelectRegistro($ConsultaUsuario);

//SI LOS DATOS DE ENTRADA SON INCORRECTOS

if (!$RowUsuario)

{  $ObjSesion->MEntradaIncorrecta("El Usuario o Contrase&ntilde;a es Incorrecta",$_Nivel1);

   exit();

}



//Se crea la sesión, con un nombre especifico.

session_name($_NombreSesion);

session_start();

// Se crean las variables de sesión.

$_SESSION["S_SV"] = $S_SV; 
$_SESSION["S_Admin"] = $S_Admin; 
$_SESSION["VariableSesion"] = $_VariableSesion; 
$_SESSION["IdUsuario"] = $RowUsuario["IdUsuario"];
$_SESSION["Tipo"] = $RowUsuario["Tipo"];
//$_SESSION["IdDomicilio"] = $RowUsuario["IDDOMICILIO"];

///////////////////////////////////////////////////////////////////////////////////////////////////

//CREACION DE LA VARIABLE DE AMBITO

$ConsultaModulos="SELECT * FROM subsistemausuarios WHERE IdUsuario =".$_SESSION["IdUsuario"];

$ResultModulos=$Conexion->MVectorRegistro($ConsultaModulos);

while($RowModulo=mysqli_fetch_array($ResultModulos))

{ 

$_SESSION["S_Menu"][$RowModulo["IdSubsistema"]][$RowModulo["NoOpcion"]]=1;

}



$ConsultaModulos="SELECT * FROM usuariosadmin WHERE IdUsuario = ".$_SESSION["IdUsuario"];

$ResultModulos=$Conexion->MVectorRegistro($ConsultaModulos);

while($RowModulo=mysqli_fetch_array($ResultModulos)){

$_SESSION["S_Admin"][$RowModulo["IdSusbsistema"]][$RowModulo["NoOpcion"]]=1;

}



//INSERTAR DATOS DE ACCESO

$ConsultaAcceso="INSERT INTO accesos (IdUsuario,Fecha,Ip,Tipo,Hora) VALUES ('".$RowUsuario["IdUsuario"]."','$Fecha','$Ip','E','$Horale')";

$Conexion->MEjecutarSQL($ConsultaAcceso);



?>

<html>
<head>
<title>Sistemas | DIF Quintana Roo</title>
<meta http-equiv="refresh" content="0;URL=Portada.php">
</head>
<body>
<p align="center"><b>Redireccionando . . .</b> </p>
</body>

</html>